import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A simple actor that handles the "Press Z or Enter to begin" code on the tutorial.
 */
public class MenuSimple extends Actor
{
    private boolean test;
    
    /**
     * Makes sure that neither Z or Enter are pressed.
     * 
     * Once they are released, pressing either again will create world Game.
     */
    public void act()
    {
        if(!(Greenfoot.isKeyDown("Z")) && (!(Greenfoot.isKeyDown("Enter"))))
        {
            test = true;
        }
        if(test)
        {
            if(Greenfoot.isKeyDown("Z") || (Greenfoot.isKeyDown("Enter")))
            {
                Greenfoot.playSound("sounds/effects/menu_select.wav");
                Greenfoot.setWorld(new Game());
            }
        }
    }
}
