import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The world used for actually playing the game.
 * 
 * @author SerenaGameDev 
 * @version 1.0a
 */
public class Game extends World
{

    /**
     * Sets up game world!!
     * 
     * The new HUD system is commented out, as it's not ready in time for the demo.
     * 
     * 
     */
    public Game()
    {    
        super(640, 480, 1);
        
        Paddle paddleP1 = new Paddle(1, 0, "kris");
        Paddle paddleP2 = new Paddle(2, 0, "susie");
        HUD hud1 = new HUD(1, "kris");
        HUD hud2 = new HUD(2, "susie");
        Score scoreP1 = new Score(1);
        Score scoreP2 = new Score(2);
        
        addObject(paddleP1, 0, getHeight() / 2);
        addObject(paddleP2, 0, getHeight() / 2);
        addObject(scoreP1, 0, 0);
        addObject(scoreP2, 0, 0);
        // addObject(hud1, 111, 37);
        // addObject(hud2, 528, 37);
        addObject(new AnimControl(), 0, 0);
        addObject(new Ball(), 320,190);
        Greenfoot.start();
        Greenfoot.delay(60);
        
        setPaintOrder(HUD.class, Ball.class);
        setPaintOrder(WinScreen.class, Ball.class);
        setPaintOrder(WinScreen.class, Paddle.class);
        setPaintOrder(WinScreen.class, Score.class);
    }
}
